{
  pkgs,
  inputs,
  ...
}: {
  imports = [
    ./hypr/animation.nix
    ./hypr/binds.nix
    ./hypr/exec.nix
    ./hypr/general.nix
    ./hypr/input.nix
    ./hypr/layers.nix
    ./hypr/misc.nix
    ./hypr/rules.nix

    ./scripts/movement.nix
    ./scripts/window-rules.nix
    ./scripts/workspace-toggle.nix
  ];
  wayland.windowManager.hyprland.enable = true;
  wayland.windowManager.hyprland.systemd.enable = false; # for UWSM support...
  wayland.windowManager.hyprland.plugins = [
    inputs.hyprsplit.packages.${pkgs.system}.hyprsplit
    # inputs.hypr-dynamic-cursors.packages.${pkgs.system}.hypr-dynamic-cursors
    # inputs.hyprspace.packages.${pkgs.system}.Hyprspace
    pkgs.hyprlandPlugins.hyprbars
  ];
}
